Get project analytics
curl --request GET \
--url https://api.alpic.ai/v1/analytics/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/analytics/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/analytics/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"startTimestamp": 123,
"endTimestamp": 123,
"timeZone": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"interval": "<string>"
},
"timeSeries": {
"sessions_count": [
{
"timestamp": 123,
"categories": {}
}
],
"requests_count": [
{
"timestamp": 123,
"categories": {}
}
],
"requests_latency_mean": [
{
"timestamp": 123,
"categories": {}
}
],
"tool_errors": [
{
"timestamp": 123,
"categories": {}
}
],
"mcp_errors": [
{
"timestamp": 123,
"categories": {}
}
],
"output_token_mean": [
{
"timestamp": 123,
"categories": {}
}
],
"task_count": [
{
"timestamp": 123,
"categories": {}
}
]
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}analytics
Get project analytics
Get analytics data for a project over a time range
GET
/
v1
/
analytics
/
{projectId}
Get project analytics
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the project
Query Parameters
Start timestamp in milliseconds
End timestamp in milliseconds
IANA timezone (e.g. Europe/Paris)
Was this page helpful?
⌘I